//
//  RWTViewController.m
//  DynamicToss
//
//  Created by Main Account on 7/13/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTViewController.h"

@interface RWTViewController ()
@property (nonatomic, weak) IBOutlet UIView *image;
@property (nonatomic, weak) IBOutlet UIView *redSquare;
@property (nonatomic, weak) IBOutlet UIView *blueSquare;

@property (nonatomic, assign) CGRect originalBounds;
@property (nonatomic, assign) CGPoint originalCenter;

@property (nonatomic) UIDynamicAnimator *animator;
@property (nonatomic) UIAttachmentBehavior *attachmentBehavior;
@property (nonatomic) UIPushBehavior *pushBehavior;
@property (nonatomic) UIDynamicItemBehavior *itemBehavior;
@end

@implementation RWTViewController

- (void)viewDidLoad
{
  [super viewDidLoad];
}

- (void)didReceiveMemoryWarning
{
  [super didReceiveMemoryWarning];
  // Dispose of any resources that can be recreated.
}

- (IBAction) handleAttachmentGesture:(UIPanGestureRecognizer*)gesture
{
    CGPoint location = [gesture locationInView:self.view];
    CGPoint boxLocation = [gesture locationInView:self.image];
    
    switch (gesture.state) {
    case UIGestureRecognizerStateBegan:{
        NSLog(@"you touch started position %@",NSStringFromCGPoint(location));
        NSLog(@"location in image started is %@",NSStringFromCGPoint(boxLocation));

        break;
    }
    case UIGestureRecognizerStateEnded: {
        NSLog(@"you touch ended position %@",NSStringFromCGPoint(location));
        NSLog(@"location in image ended is %@",NSStringFromCGPoint(boxLocation));

        break;
    }
    default:
        break;
    }
}

@end
